﻿@model IEnumerable<WebFBX.Models.FotosModels>

@{
    Layout = null;
    int fila = 0;
    string url_foto = "";
}

<div class="row">
    <div class="col-lg-5">


        <div class="sp-loading"><img src="@Url.Content("~/img/sp-loading.gif")" alt="" style="z-index:1000"><br>Cargando imagenes</div>
        <div class="sp-wrap ">
            @if (Model.Count() > 0)
            {

                foreach (var item in Model)
                {
                    fila++;
                    if (fila == 1)
                    {
                        url_foto = item.rutafoto;
                    }
                    //var base64 = Convert.ToBase64String(item.foto);
                    //var imgSrc = String.Format("data:image/gif;base64,{0}", base64);
                    @*<a href="@imgSrc">
                            <img src="@imgSrc" alt="">

                        </a>*@
                    //dynamic foto = Html.Action("GetFotoRuta", "Productos", new { codigo = item.producto });
                    <a href="@Url.Content(item.rutafoto)">
                        <img src="@Url.Content(item.rutafoto)" alt="">

                    </a>
                }
            }
            else
            {
                <a href="@Url.Content("~/img/imagen_sin_foto.png")"><img src="@Url.Content("~/img/imagen_sin_foto.png")" alt=""></a>
                url_foto = "~/img/imagen_sin_foto.png";
            }
        </div>
    </div>
    <div class="col-lg-7">
        <div class="row">
            <div class="col-lg-12">
                @if (Convert.ToInt32(ViewData["ofertavigente"]) == 1)
                {
                    <span class="oferta_detalle">(Oferta)</span><span id="prodnombre" class="titulodetalleprod">@ViewData["nombre"] </span>
                }
                else
                {
                    <span id="prodnombre" class="titulodetalleprod">@ViewData["nombre"]</span>
                }

            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div id="prodcodigo" class="titulodetalleprod">Codigo: @ViewData["codigo"]</div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                @if (Convert.ToInt32(ViewData["ofertavigente"]) == 1)
                {
                    <span class="precio_tachado" id="prodpreciooriginal"> @Convert.ToInt32(ViewData["preciooriginal"]).ToString("N0") $</span>
                }<span id="prodprecio_detalle" class="tituloprecioprod">
                    $ @Convert.ToInt32(ViewData["precio"]).ToString("N0")
                </span>
                <input type="hidden" id="precio_hidden_detalle" value="@ViewData["precio"]" />
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <button type="button" class="btn btn-success btn-sm" id="seguir_comprando">
                    <span class="fas fa-undo"></span>Seguir Comprando
                </button>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div id="produnidad" class="">Unidad: @ViewData["unidad"]</div>
            </div>
        </div>
        @if (Convert.ToInt32(ViewData["pesogrs"]) > 0)
        {
            <div class="row">
                <div class="col-lg-12">
                    <div id="prodpeso_grs" class="">@ViewData["pesogrs"] grs</div>
                </div>
            </div>
        }
        @if (Convert.ToInt32(ViewData["agotado"]) == 0)
        {
            <div class="row">
                <div class="col-lg-12">
                    <div id="proddisponible_stock" class="">Producto disponible</div>
                </div>
            </div>
        }
        else
        {
            <div class="row">
                <div class="col-lg-12">
                    <div id="proddisponible_stock" class="">No disponible</div>
                </div>
            </div>
        }
        <div class="row">
            <div class="col-lg-12">
                <div id="prodobservacion" class="">@ViewData["observaciones"]</div>
            </div>
        </div>
        @if (Convert.ToInt32(ViewData["indpresentacion"]) == 1)
        {<br />
            <div class="row">
                <div class="col-lg-12">
                    <select id="presentacion_detalle" class="form-control form-control-sm"></select>
                </div>
            </div>
        }
        <input type="hidden" id="presentacion_hidden_det" value="@ViewData["indpresentacion"]" />
        <input type="hidden" id="cabezaesquelon_hidden_det" value="@ViewData["indcabezaesquelon"]" />
        <input type="hidden" id="codigo_hidden_det" value="@ViewData["codigo"]" />

        @if (Convert.ToInt32(ViewData["indcabezaesquelon"]) == 1)
        {<br />
            <div class="row">
                <div class="col-lg-12">
                    <div class="form-check form-check-inline">
                        <span class="form-check-label" for="cabeza_detalle">Cabeza</span>
                        <input class="form-check-input " type="checkbox" id="cabeza_detalle" value="1">
                    </div>
                    <div class="form-check form-check-inline">
                        <span class="form-check-label" for="esquelon_edit">Esquelon</span>
                        <input class="form-check-input" type="checkbox" id="esquelon_detalle" value="1">
                    </div>
                </div>
            </div>
        }
        <br />

        <div class="row">
            <div class="col-lg-5 col-5">
                <div class="input-group">
                    <span class="input-group-btn">
                        <button type="button" class="btn btn-danger btn-number_detalle" data-type="minus" data-field="quant[2]">
                            <span class="fas fa-minus"></span>
                        </button>
                    </span>

                    <input id="prodcantidad_detalle" type="text" name="quant[2]" class="form-control input-number_detalle text-center" value="1" min="1" max="999" readonly>

                    <span class="input-group-btn">
                        <button type="button" class="btn btn-success btn-number_detalle" data-type="plus" data-field="quant[2]">
                            <span class="fas fa-plus"></span>
                        </button>
                    </span>
                </div>
            </div>
            <div class="col-lg-7 col-7">
                <div class="item">
                    <img src="@Url.Content(url_foto)" alt="" width="0" height="0">

                    <button type="button" class="btn btn-primary btn-add_cart_detalle" data-codigo="@ViewData["codigo"]" data-nombre="@ViewData["nombre"]"
                            data-precio="@ViewData["precio"]" data-agotado="@ViewData["agotado"]" data-costo="@ViewData["costo"]" data-unidad="@ViewData["unidad"]"
                            data-pesogrs="@ViewData["pesogrs"]" data-inddescripcion="@ViewData["inddescripcion"]"
                            data-indpresentacion="@ViewData["indpresentacion"]" data-indcabezaesquelon="@ViewData["indcabezaesquelon"]">
                        Añadir al Pedido
                    </button>
                </div>
            </div>
        </div>
        <br />
        <div class="row">
            <div class="col-4">
                <b>Valor Producto:</b>
            </div>
            <div class="col-8">
                <div id="valor_detalle" style="font-weight:bold"></div>

            </div>
        </div>
        <div class="row">
            <div class="col-3">
                Compartir:
            </div>
            <div class="col-9">
                @*<a href="" target="_blank"> <i class="fab fa-facebook"></i> </a>*@
                <div class="fb-share-button" data-href="https://fbx.cl/product/merluza-gayi-pescada/" data-layout="button" data-size="small"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Ffbx.cl%2Fproduct%2Fmerluza-gayi-pescada%2F&amp;src=sdkpreparse"><i class="fab fa-facebook"></i></a></div>
            </div>
        </div>
        <br />
    </div>
</div>
<br />
<div class="row">
    <div class="col-lg-12">
        <div class="titulodetalleprod"><b>DESCRIPCIÓN</b></div>
    </div>
</div>
<br />
<div class="row text-center">
    <br />
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/producto-mas-vendido-60x60.png")" /> <br /><b class="letra_detalle_iconos">Producto más vendido</b>
        </button>
    </div>
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/recomendados-por-clientes-60x60.png")" /> <br /><b class="letra_detalle_iconos">Reconmenda por clientes</b>
        </button>
    </div>
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/hierro-60x60.png")" /> <br /><b class="letra_detalle_iconos">Hierro</b>
        </button>
    </div>
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/pescado-sin-espinas-60x60.png")" /> <br /><b class="letra_detalle_iconos">Pescado sin espinas</b>
        </button>
    </div>
</div>

<div class="row text-center">
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/calcio-60x60.png")" /> <br /><b class="letra_detalle_iconos">Calcio</b>
        </button>

    </div>
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;">
            <img src="@Url.Content("~/img/detalle_producto/vitaminas-60x60.png")" /> <br /><b class="letra_detalle_iconos">Vitaminas</b>
        </button>

    </div>
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/proteinas-60x60.png")" /> <br /><b class="letra_detalle_iconos">Proteínas</b>
        </button>

    </div>
    <div class="col-lg-3 col-6">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/magnesio-selenio-60x60.png")" /> <br /><b class="letra_detalle_iconos">Magnesio y Selenio</b>
        </button>
    </div>
    <div class="col-lg-12 col-12">
        <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
            <img src="@Url.Content("~/img/detalle_producto/nutritivo-60x60.png")" /> <br /><b class="letra_detalle_iconos">Nutritivo</b>
        </button>
    </div>
</div>



@if (Convert.ToInt32(ViewData["inddescripcion"]) == 1)
{
    <br />
    <div class="row">
        <div class="col-lg-12">
            <div id="prodtitulodescripcion" class="titulodetalleprod"><b>@Html.Raw(ViewData["titulodescripcion"])</b></div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div id="proddescripcion" class="">@Html.Raw(ViewData["descripcion"])</div>
        </div>
    </div>
    <br />
    <div class="row">
        <div class="col-lg-12">
            <div id="prodtitulovideo" class="titulodetalleprod"><b>@Html.Raw(ViewData["titulovideo"])</b></div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div id="prodvideo1">@Html.Raw(ViewData["video1"])</div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div id="prodvideo2">@Html.Raw(ViewData["video2"])</div>
        </div>
    </div>
}
<script async defer crossorigin="anonymous" src="https://connect.facebook.net/es_LA/sdk.js#xfbml=1&version=v8.0" nonce="v8v8mdiZ"></script>
<script>
    $(document).ready(function () {
        $("#valor_detalle").html($("#prodprecio_detalle").text());
        $.ajaxSetup({ async: false });
        listarPresentaciondetalle();
        $.ajaxSetup({ async: true });
        var codigo = $("#codigo_hidden_det").val().toString();
        var pos = carrito.findIndex(i =>
            i.codigo === codigo);

        if (parseInt($("#presentacion_hidden_det").val()) == 1) {
            if (pos !== -1) {
                $("#presentacion_detalle").val(carrito[pos].presentacion);
            }
        }
        
        if (parseInt($("#cabezaesquelon_hidden_det").val()) == 1) {
            if (pos !== -1) {
                if (carrito[pos].cabeza == 1) {
                    $("#cabeza_detalle").prop("checked", true);
                }
                if (carrito[pos].esquelon == 1) {
                    $("#esquelon_detalle").prop("checked", true);
                }
            }
        }

        $('.sp-wrap').smoothproducts();


        $("#seguir_comprando").click(function (e) {
            e.preventDefault();
            listado_de_familias("");

        });
    });
    $('.btn-number_detalle').click(function (e) {
        e.preventDefault();

        fieldName = $(this).attr('data-field');
        type = $(this).attr('data-type');
        var input = $("input[name='" + fieldName + "']");
        var currentVal = parseInt(input.val());
        if (!isNaN(currentVal)) {
            if (type == 'minus') {

                if (currentVal > input.attr('min')) {
                    input.val(currentVal - 1).change();
                }
                if (parseInt(input.val()) == input.attr('min')) {
                    $(this).attr('disabled', true);
                }

            } else if (type == 'plus') {

                if (currentVal < input.attr('max')) {
                    input.val(currentVal + 1).change();
                }
                if (parseInt(input.val()) == input.attr('max')) {
                    $(this).attr('disabled', true);
                }

            }
        } else {
            input.val(0);
        }
    });
    $('.input-number_detalle').focusin(function () {
        $(this).data('oldValue', $(this).val());
    });
    $('.input-number_detalle').change(function () {
        var cantidad = parseFloat($(this).val());
        var precio = parseFloat($("#precio_hidden_detalle").val());
        var valor = cantidad * precio;
        minValue = parseInt($(this).attr('min'));
        maxValue = parseInt($(this).attr('max'));
        valueCurrent = parseInt($(this).val());

        name = $(this).attr('name');
        if (valueCurrent >= minValue) {
            $(".btn-number[data-type='minus'][data-field='" + name + "']").removeAttr('disabled')
        } else {
            alert('Sorry, the minimum value was reached');
            $(this).val($(this).data('oldValue'));
        }
        if (valueCurrent <= maxValue) {
            $(".btn-number[data-type='plus'][data-field='" + name + "']").removeAttr('disabled')
        } else {
            alert('Sorry, the maximum value was reached');
            $(this).val($(this).data('oldValue'));
        }

        $("#valor_detalle").html("$ " + Moneda(valor));
    });
    $(".input-number_detalle").keydown(function (e) {
        // Allow: backspace, delete, tab, escape, enter and .
        if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 190]) !== -1 ||
            // Allow: Ctrl+A
            (e.keyCode == 65 && e.ctrlKey === true) ||
            // Allow: home, end, left, right
            (e.keyCode >= 35 && e.keyCode <= 39)) {
            // let it happen, don't do anything
            return;
        }
        // Ensure that it is a number and stop the keypress
        if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
            e.preventDefault();
        }
    });
</script>
